Executive Summary

Informations
Name CVE-2004-0940 First vendor Publication 2005-02-09
Vendor Cve Last vendor Modification 2021-03-30

Security-Database Scoring CVSS v3

Cvss vector : N/A
Overall CVSS Score NA
Base Score NA Environmental Score NA
impact SubScore NA Temporal Score NA
Exploitabality Sub Score NA
 
Calculate full CVSS 3.0 Vectors scores

Security-Database Scoring CVSS v2

Cvss vector : (AV:L/AC:M/Au:N/C:C/I:C/A:C)
Cvss Base Score 6.9 Attack Range Local
Cvss Impact Score 10 Attack Complexity Medium
Cvss Expoit Score 3.4 Authentication None Required
Calculate full CVSS 2.0 Vectors scores

Detail

Buffer overflow in the get_tag function in mod_include for Apache 1.3.x to 1.3.32 allows local users who can create SSI documents to execute arbitrary code as the apache user via SSI (XSSI) documents that trigger a length calculation error.

Original Source

Url : http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0940

CAPEC : Common Attack Pattern Enumeration & Classification

Id Name
CAPEC-47 Buffer Overflow via Parameter Expansion
CAPEC-100 Overflow Buffers
CAPEC-123 Buffer Attacks

CWE : Common Weakness Enumeration

% Id Name
100 % CWE-119 Failure to Constrain Operations within the Bounds of a Memory Buffer

OpenVAS Exploits

Date Description
2009-10-10 Name : SLES9: Security update for apache
File : nvt/sles9p5014050.nasl
2008-09-24 Name : Gentoo Security Advisory GLSA 200411-03 (apache)
File : nvt/glsa_200411_03.nasl
2008-09-04 Name : FreeBSD Ports: apache
File : nvt/freebsd_apache0.nasl
2008-01-17 Name : Debian Security Advisory DSA 594-1 (apache)
File : nvt/deb_594_1.nasl
2005-11-03 Name : Apache mod_include priviledge escalation
File : nvt/apache_mod_include_priv_escalation.nasl
0000-00-00 Name : Slackware Advisory SSA:2004-305-01 apache+mod_ssl
File : nvt/esoft_slk_ssa_2004_305_01.nasl

Open Source Vulnerability Database (OSVDB)

Id Description
12881 OpenBSD httpd mod_include Local Overflow

A local overflow exists in OpenBSD. The mod_include module for httpd fails to properly validate the length of user supplied tag strings prior to copying them to a local buffer resulting in a buffer overflow. With a specially crafted request, an attacker can cause arbitrary code execution resulting in a loss of integrity.
11003 Apache HTTP Server mod_include get_tag() Function Local Overflow

A local overflow exists in the Apache HTTP server mod_include module (compiled in by default). The get_tag() function in mod_include.c contains a logic flaw resulting in a buffer overflow. A local attacker who is authorized to create server side include (SSI) files, can create a specially crafted HTML file and cause arbitrary code execution with the privileges of the httpd child process, resulting in a loss of integrity.

Snort® IPS/IDS

Date Description
2015-07-28 Apache mod_include buffer overflow attempt
RuleID : 34973 - Revision : 2 - Type : SERVER-OTHER

Nessus® Vulnerability Scanner

Date Description
2009-04-23 Name : The remote FreeBSD host is missing one or more security-related updates.
File : freebsd_pkg_6e6a6b8a2fde11d9b3a20050fc56d258.nasl - Type : ACT_GATHER_INFO
2005-07-13 Name : The remote Slackware host is missing a security update.
File : Slackware_SSA_2004-305-01.nasl - Type : ACT_GATHER_INFO
2004-12-14 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2004-600.nasl - Type : ACT_GATHER_INFO
2004-12-02 Name : The remote host is missing a Mac OS X update that fixes a security issue.
File : macosx_SecUpd20041202.nasl - Type : ACT_GATHER_INFO
2004-11-17 Name : The remote Debian host is missing a security-related update.
File : debian_DSA-594.nasl - Type : ACT_GATHER_INFO
2004-11-17 Name : The remote Mandrake Linux host is missing one or more security updates.
File : mandrake_MDKSA-2004-134.nasl - Type : ACT_GATHER_INFO
2004-11-02 Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-200411-03.nasl - Type : ACT_GATHER_INFO
2004-10-25 Name : The remote web server is affected by a local buffer overflow vulnerability.
File : apache_mod_include_priv_escalation.nasl - Type : ACT_GATHER_INFO
2004-07-06 Name : The remote host is using an unsupported version of Mac OS X.
File : macosx_version.nasl - Type : ACT_GATHER_INFO

Sources (Detail)

Source Url
BID http://www.securityfocus.com/bid/11471
CONFIRM http://support.avaya.com/elmodocs2/security/ASA-2006-081.htm
http://www.apacheweek.com/features/security-13
DEBIAN http://www.debian.org/security/2004/dsa-594
MANDRAKE http://www.mandriva.com/security/advisories?name=MDKSA-2004:134
MLIST https://lists.apache.org/thread.html/r5419c9ba0951ef73a655362403d12bb8d10fab3...
https://lists.apache.org/thread.html/r734a07156abf332d5ab27fb91d9d962cacfef4f...
https://lists.apache.org/thread.html/rd65d8ba68ba17e7deedafbf5bb4899f2ae4dad7...
https://lists.apache.org/thread.html/re895fc1736d25c8cf57e102c871613b8aeec9ea...
https://lists.apache.org/thread.html/rf6449464fd8b7437704c55f88361b66f12d5b5f...
OPENPKG http://marc.info/?l=bugtraq&m=109906660225051&w=2
REDHAT http://www.redhat.com/support/errata/RHSA-2004-600.html
http://www.redhat.com/support/errata/RHSA-2005-816.html
SECTRACK http://securitytracker.com/id?1011783
SECUNIA http://secunia.com/advisories/12898/
http://secunia.com/advisories/19073
SUNALERT http://sunsolve.sun.com/search/document.do?assetkey=1-26-102197-1
VUPEN http://www.vupen.com/english/advisories/2006/0789
XF https://exchange.xforce.ibmcloud.com/vulnerabilities/17785

Alert History

If you want to see full details history, please login or register.
0
1
2
3
4
5
6
7
8
Date Informations
2021-04-22 01:02:54
  • Multiple Updates
2021-03-30 17:22:46
  • Multiple Updates
2020-05-23 00:15:55
  • Multiple Updates
2017-07-11 12:01:32
  • Multiple Updates
2016-10-18 12:01:23
  • Multiple Updates
2016-04-26 12:54:19
  • Multiple Updates
2015-07-28 21:24:09
  • Multiple Updates
2014-02-17 10:28:10
  • Multiple Updates
2013-05-11 11:43:28
  • Multiple Updates